# -*- coding: utf-8 -*-
from plone.app.contenttypes.testing import PLONE_APP_CONTENTTYPES_FIXTURE
from plone.app.robotframework.testing import REMOTE_LIBRARY_BUNDLE_FIXTURE
from plone.app.testing import applyProfile
from plone.app.testing import FunctionalTesting
from plone.app.testing import IntegrationTesting
from plone.app.testing import PloneSandboxLayer
from plone.testing import z2

import retrans.poi


class RetransPoiLayer(PloneSandboxLayer):

    defaultBases = (PLONE_APP_CONTENTTYPES_FIXTURE,)

    def setUpZope(self, app, configurationContext):
        # Load any other ZCML that is required for your tests.
        # The z3c.autoinclude feature is disabled in the Plone fixture base
        # layer.
        self.loadZCML(package=retrans.poi)

    def setUpPloneSite(self, portal):
        applyProfile(portal, 'retrans.poi:default')


RETRANS_POI_FIXTURE = RetransPoiLayer()


RETRANS_POI_INTEGRATION_TESTING = IntegrationTesting(
    bases=(RETRANS_POI_FIXTURE,),
    name='RetransPoiLayer:IntegrationTesting'
)


RETRANS_POI_FUNCTIONAL_TESTING = FunctionalTesting(
    bases=(RETRANS_POI_FIXTURE,),
    name='RetransPoiLayer:FunctionalTesting'
)


RETRANS_POI_ACCEPTANCE_TESTING = FunctionalTesting(
    bases=(
        RETRANS_POI_FIXTURE,
        REMOTE_LIBRARY_BUNDLE_FIXTURE,
        z2.ZSERVER_FIXTURE
    ),
    name='RetransPoiLayer:AcceptanceTesting'
)
